# You can find more information about this file on the symfony website:
# http://www.symfony-project.org/reference/1_4/en/04-Settings

prod:
  .settings:
    no_script_name:         true
    logging_enabled:        false

dev:
  .settings:
    error_reporting:        <?php echo (E_ALL | E_STRICT)."\n" ?>
    web_debug:              true
    cache:                  false
    no_script_name:         false
    etag:                   false

test:
  .settings:
    error_reporting:        <?php echo ((E_ALL | E_STRICT) ^ E_NOTICE)."\n" ?>
    cache:                  false
    web_debug:              false
    no_script_name:         false
    etag:                   false

all:
  .actions:

    login_module:           index
    login_action:           login

    secure_module:          index
    secure_action:          login

  .settings:
    # Form security secret (CSRF protection)
    csrf_secret:            abf3dc0bbe2fd9cd2ccf33921420d2e41dd26f04

    # Output escaping settings
    escaping_strategy:      true
    escaping_method:        ESC_SPECIALCHARS

    # Enable the database manager
    use_database:           true

    enabled_modules:      [default, ziofixMedia]

    i18n:                   on
    default_culture:        fr

    standard_helpers:       [Partial, Cache, Date, I18N]
